# sf_pkthdr Struct Reference
[NPF structures and definitions]

Header associated to a packet in the driver's buffer when the driver is in dump mode. Similar to the bpf_hdr structure, but simpler. More...

`#include <Packet.h>`

## Data Fields
struct timeval | ts
| time stamp
UINT | caplen
UINT | len
| Length of the original packet (off wire).

## Detailed Description

Header associated to a packet in the driver's buffer when the driver is in dump mode. Similar to the bpf_hdr structure, but simpler.

Definition at line 121 of file Packet.h.

## Field Documentation

UINT caplen

Length of captured portion. The captured portion can be different from the original packet, because it is possible (with a proper filter) to instruct the driver to capture only a portion of the packets.

Definition at line 123 of file Packet.h.

UINT len

Length of the original packet (off wire).

Definition at line 126 of file Packet.h.

struct timeval ts`[read]`

time stamp

Definition at line 122 of file Packet.h.

The documentation for this struct was generated from the following file:

- Packet.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.